## libclass-trait-perl 0.31

=== debian/changelog ===
libclass-trait-perl (0.31-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 13:20:57 +0100

libclass-trait-perl (0.31-4) unstable; urgency=low

  * updated long description to include module name
  * fixed man page to silence lintian

 -- Alexander Zangerl <az@debian.org>  Tue, 24 Sep 2013 12:16:51 +1000

libclass-trait-perl (0.31-3) unstable; urgency=low

  * some tests failed with perl 5.18 because of 
    assumptions re hash key ordering which are no longer true 
    with 5.18  (closes: #723925)

 -- Alexander Zangerl <az@debian.org>  Sun, 22 Sep 2013 14:14:47 +1000

libclass-trait-perl (0.31-2) unstable; urgency=low

  * lifted standards version, debhelper compat level
  * changes to 3.0 quilt source format (closes: #671657)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 00:17:31 +1000

libclass-trait-perl (0.31-1) unstable; urgency=low

  * New upstream release (closes: #578946)

 -- Alexander Zangerl <az@debian.org>  Sun, 25 Apr 2010 14:18:21 +1000

libclass-trait-perl (0.22-5) unstable; urgency=low

  * lifted standards version, cleaned some lintian warnings
  * fixed makemaker DESTDIR/PREFIX issue with perl 5.10.1

 -- Alexander Zangerl <az@debian.org>  Wed, 16 Sep 2009 10:26:46 +1000

libclass-trait-perl (0.22-4) unstable; urgency=low

  * fixed missing (build-)depends on libclass-accessor-perl 
    (closes: #518866)

 -- Alexander Zangerl <az@debian.org>  Mon, 09 Mar 2009 17:36:21 +1000

libclass-trait-perl (0.22-3) unstable; urgency=low

  * lifted standards version
  * dpatch added to build-depends
  * applied Michael Schwern's patch fixing the conflict with 
    perldebugger and profiler (closes: #425339)

 -- Alexander Zangerl <az@debian.org>  Mon, 17 Nov 2008 10:30:17 +1000

libclass-trait-perl (0.22-2) unstable; urgency=low

  * fixed incomplete copyright info.

 -- Alexander Zangerl <az@debian.org>  Mon, 20 Nov 2006 09:46:53 +1000

libclass-trait-perl (0.22-1) unstable; urgency=low

  * Initial Release.

 -- Alexander Zangerl <az@debian.org>  Tue, 14 Nov 2006 12:54:08 +1000
