=== debian/control ===
Source: libclass-trait-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: perl (>= 5.10) | libtest-simple-perl (>= 0.62), libtest-differences-perl (>= 0.47), libmodule-build-perl, libclass-accessor-perl
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 3.9.4

Package: libclass-trait-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libclass-accessor-perl
Description:  Implementation of Traits in Perl
 Traits are a simple composition mechanism for structuring 
 object-oriented programs. A Trait is essentially a parameterized set of 
 methods, which serves as a building block for classes and is the primitive 
 unit of code reuse. Unlike mixins and multiple inheritance, Traits do not 
 use inheritance as the composition operator. Instead, Trait composition 
 is based on a set of operators that are  complementary to single 
 inheritance and result in better composition properties.
 .
 Traits are a core part of Perl 6 (called Roles there), and Class::Trait
 implements traits for Perl 5.
