=== debian/rules ===
#!/usr/bin/make -f
# This debian/rules file is provided as a template for normal perl
# packages. It was created by Marc Brockschmidt <marc@dch-faq.de> for
# the Debian Perl Group (http://pkg-perl.alioth.debian.org/) but may
# be used freely wherever it is useful.
#
# It was later modified by Jason Kohles <email@jasonkohles.com>
# http://www.jasonkohles.com/ to support Module::Build installed modules

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# If set to a true value then MakeMaker's prompt function will
# always return the default without waiting for user input.
export PERL_MM_USE_DEFAULT=1

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

TMP     =$(CURDIR)/debian/$(PACKAGE)


build-arch: build
build-indep: build

build: build-stamp
build-stamp: 
	dh_testdir

	# Add commands to compile the package here
	$(PERL) Build.PL --installdirs vendor
	OPTIMIZE="-Wall -O2 -g" $(PERL) Build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	# Add commands to clean up after the build process here
	[ ! -f Build ] || $(PERL) Build distclean

	dh_clean build-stamp install-stamp

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep

	$(PERL) Build test
	$(PERL) Build install --destdir $(TMP)

	# module::build insists on a .packlist, lintian dislikes that :-(
	rm -rf $(TMP)/usr/lib/perl5/auto
	touch install-stamp

binary-arch:
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installcron
#	dh_installmenu
#	dh_installexamples
	dh_installdocs README
	dh_installchangelogs Changes
	dh_perl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
