=== debian/watch ===
version=3
http://cpan.org/authors/id/O/OV/OVID/Class-Trait-(.*)\.tar\.gz debian
